Bug 88093 - WTR crashes if an external URL is passed as a parameter
Summary: WTR crashes if an external URL is passed as a parameter
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Balazs Kelemen
URL:
Keywords: Qt, QtTriaged
Depends on: 90623
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 07:39 PDT by Zoltan Horvath
Modified: 2013-02-03 01:57 PST (History)
7 users (show)

See Also:


Attachments
backtrace (13.55 KB, application/octet-stream)
2012-06-01 07:39 PDT, Zoltan Horvath
no flags Details
Patch (1.36 KB, patch)
2012-06-18 10:42 PDT, Balazs Kelemen
no flags Details | Formatted Diff | Diff
Patch (17.21 KB, patch)
2012-07-11 05:56 PDT, Balazs Kelemen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zoltan Horvath 2012-06-01 07:39:50 PDT
Created attachment 145305 [details]
backtrace

Testcase: WebKitBuild/Debug/bin/WebKitTestRunner http://webkit.org
Comment 1 Balazs Kelemen 2012-06-18 10:42:38 PDT
Created attachment 148127 [details]
Patch
Comment 2 Zoltan Herczeg 2012-07-05 01:02:11 PDT
Comment on attachment 148127 [details]
Patch

r=me
Comment 3 Balazs Kelemen 2012-07-05 04:21:57 PDT
Comment on attachment 148127 [details]
Patch

Clearing flags on attachment: 148127

Committed r121899: <http://trac.webkit.org/changeset/121899>
Comment 4 Balazs Kelemen 2012-07-05 04:22:04 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 WebKit Review Bot 2012-07-05 10:55:56 PDT
Re-opened since this is blocked by 90623
Comment 6 Balazs Kelemen 2012-07-11 05:56:23 PDT
Created attachment 151693 [details]
Patch
Comment 7 Balazs Kelemen 2012-08-21 04:54:04 PDT
Could anybody review this? It's there for weeks. If not I will go to the quick route and fix it in wtr to avoid touching API but still I believe the API is not perfect here.
Comment 8 Simon Hausmann 2012-08-22 03:39:54 PDT
Sam: Ping :)
Comment 9 Balazs Kelemen 2012-10-04 01:20:31 PDT
(In reply to comment #7)
> Could anybody review this? It's there for weeks. If not I will go to the quick route and fix it in wtr to avoid touching API but still I believe the API is not perfect here.

I realized that there is no need for this since this crash have been disappeared because external urls are now allowed in WTR/DRT. So only the API patch makes sense, if we agree that it's an improvement.